use super::{ChangelogEntry, Type};
use crate::{changelog::Changelog, Payment, Status, TransactionId};
use chrono::{DateTime, Utc};

#[derive(Debug, Clone)]
pub struct Transaction {
    pub id: TransactionId,
    pub spend: Vec<Payment>,
    pub create: Vec<Payment>,
    pub reference: String,
    pub typ: Type,
    pub status: Status,
    pub last_change: Vec<u8>,
    pub tags: Vec<String>,
    pub changelog: Vec<Changelog<ChangelogEntry>>,
    pub created_at: DateTime<Utc>,
    pub updated_at: DateTime<Utc>,
}
